This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 116746 - Awk warning running upd-instroot as part of buildinstall
Awk warning running upd-instroot as part of buildinstall
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 16:15 EST by Forrest
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-09 18:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Forrest 2004-02-24 16:15:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I get a warning during upd-instroot while running buildinstall:

awk: cmd line:6: warning: escape sequence `\.' treated as plain `.'

The code seems to start at line 800:



cat $DESTGR/usr/lib/anaconda/lang-table* | awk '
{ gsub("-", "", $4);
  print $4;
  print gensub(/\..*$/,"","",$4);
  print gensub(/_.*$/,"","",$4);
  if (split ($4, a, "\.") > 1) {
    print gensub(/\..*$/,tolower("." a[2]),"",$4);
  };
  gsub("-", "", $7);
  print $7;
  print gensub(/\..*$/,"","",$7);
  print gensub(/_.*$/,"","",$7);
  if (split ($7, a, "\.") > 1) {
    print gensub(/\..*$/,tolower("." a[2]),"",$7);
  };
}
' | LC_ALL=C sort -u > $DESTGR/locales

I'm not an awk expert, so I cannot figure out what it is complaining
about.

Version-Release number of selected component (if applicable):
anaconda-9.90-5

How reproducible:
Always

Steps to Reproduce:
1.  Run buildinstall and watch as it runs upd-instroot


Additional info:
Comment 1 Tom Horsley 2004-04-11 17:44:27 EDT
I also have an awk script which is part of a set of programs
that has been ported to lots of different systems. It also
gives similar mysterious errors on fedora core 2 test 2:

awk: cmd. line:64: warning: escape sequence `\/' treated as plain `/'
awk: cmd. line:67: warning: escape sequence `\.' treated as plain `.'

This same set of code worked with no errors like this on redhat
9 (and 8 and 7 for that matter). In fact, it still works, it
just won't shut-up about the warnings (the awk man page
mentions the LINT environment variable, but no setting of LINT
seems to make this stop).

(Before you ask, no I can't attach the script - it is part of
a proprietary package).
Comment 2 Jeremy Katz 2004-04-15 01:03:25 EDT
I fixed this at some point... 
Comment 3 Forrest 2004-07-09 18:19:02 EDT
Yes, you did.

Note You need to log in before you can comment on or make changes to this bug.